Pardon our mess These API docs are a work in progress. Endpoints, examples, and behavior may change as we continue to develop the Partner API v2.

Partner API

Add contact note

POST /api/v2/contacts/:contact_uuid/notes - Creates a note message on the contact.

POST/api/v2/contacts/:contact_uuid/notes

Creates a note message on the contact.

Required scope: messages (or *).

Path parameters

NameRequiredDescription
contact_uuidYesContact UUID

JSON body

NameRequiredDescription
bodyYesNote text (alias: note)
curl -s -X POST -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "body": "Called and left voicemail about plan options"
}' \
  "https://benefitpath.com/api/v2/contacts/c0a80101-0000-4000-8000-000000000001/notes"
{
  "success": true,
  "message_uuid": "c0a80101-0000-4000-8000-000000000099"
}

See Errors for the standard error envelope and rate limits.